/* Pseudo input ================ */

@import "./src/lib/core/variables";
@import "./src/lib/mixins/text_truncate";

.pseudo-input {
  display: flex;
  padding: 35px;
  border: 2px solid $color-primary;
  border-radius: 10px;
  background-color: $color-white;

  @include mq("laptop", "max") {
    flex-direction: column;
    padding: 20px;
  }

  @include mq("tablet", "max") {
    padding: 12px 16px;
  }

  @include mq("tablet-small", "max") {
    padding: 12px;
  }
}

.pseudo-input__country {
  flex-grow: 1;
  font-weight: $text-weight-bold;

  @include textTruncate;
}

.pseudo-input__currency {
  flex-shrink: 0;

  @include mq("laptop", "max") {
    margin-top: 5px;
  }
}
/* ================ end pseudo input */
